POST /accounting/transactions/normalize
POST/accounting/transactions/normalize
POST /accounting/transactions/normalize
Request
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
max_records int32nullable
normalize_wrongly_balanced_transactions booleannullable
normalize_wrongly_balanced_gl_entries booleannullable
clean_up_unbalanced_matching_codes booleannullable
auto_match_gl_entries booleannullable
auto_match_gl_entries_only_unmatched booleannullable
Body
max_records int32nullable
normalize_wrongly_balanced_transactions booleannullable
normalize_wrongly_balanced_gl_entries booleannullable
clean_up_unbalanced_matching_codes booleannullable
auto_match_gl_entries booleannullable
auto_match_gl_entries_only_unmatched booleannullable
Body
max_records int32nullable
normalize_wrongly_balanced_transactions booleannullable
normalize_wrongly_balanced_gl_entries booleannullable
clean_up_unbalanced_matching_codes booleannullable
auto_match_gl_entries booleannullable
auto_match_gl_entries_only_unmatched booleannullable
Body
max_records int32nullable
normalize_wrongly_balanced_transactions booleannullable
normalize_wrongly_balanced_gl_entries booleannullable
clean_up_unbalanced_matching_codes booleannullable
auto_match_gl_entries booleannullable
auto_match_gl_entries_only_unmatched booleannullable
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
transactions_normalize
object
wrong_records int32
skipped_locked_records int32
repaired_master_records int32
repaired_gl_entry_heads int32
skipped_locked_gl_entry_heads int32
gl_entries_normalize
object
wrong_gl_entry_head_sides int32
repaired_gl_entry_head_sides int32
wrong_records int32
skipped_locked_records int32
repaired_master_records int32
repaired_gl_entry_heads int32
skipped_locked_gl_entry_heads int32
gl_entries_matching_codes_cleanup
object
unbalanced_matching_codes int32
cleaned_entries int32
gl_entries_auto_match
object
scanned_groups int32
matched_groups int32
skipped_groups int32
matched_entries int32
{
"transactions_normalize": {
"wrong_records": 0,
"skipped_locked_records": 0,
"repaired_master_records": 0,
"repaired_gl_entry_heads": 0,
"skipped_locked_gl_entry_heads": 0
},
"gl_entries_normalize": {
"wrong_gl_entry_head_sides": 0,
"repaired_gl_entry_head_sides": 0,
"wrong_records": 0,
"skipped_locked_records": 0,
"repaired_master_records": 0,
"repaired_gl_entry_heads": 0,
"skipped_locked_gl_entry_heads": 0
},
"gl_entries_matching_codes_cleanup": {
"unbalanced_matching_codes": 0,
"cleaned_entries": 0
},
"gl_entries_auto_match": {
"scanned_groups": 0,
"matched_groups": 0,
"skipped_groups": 0,
"matched_entries": 0
}
}
- Schema
- Example (from schema)
Schema
transactions_normalize
object
wrong_records int32
skipped_locked_records int32
repaired_master_records int32
repaired_gl_entry_heads int32
skipped_locked_gl_entry_heads int32
gl_entries_normalize
object
wrong_gl_entry_head_sides int32
repaired_gl_entry_head_sides int32
wrong_records int32
skipped_locked_records int32
repaired_master_records int32
repaired_gl_entry_heads int32
skipped_locked_gl_entry_heads int32
gl_entries_matching_codes_cleanup
object
unbalanced_matching_codes int32
cleaned_entries int32
gl_entries_auto_match
object
scanned_groups int32
matched_groups int32
skipped_groups int32
matched_entries int32
{
"transactions_normalize": {
"wrong_records": 0,
"skipped_locked_records": 0,
"repaired_master_records": 0,
"repaired_gl_entry_heads": 0,
"skipped_locked_gl_entry_heads": 0
},
"gl_entries_normalize": {
"wrong_gl_entry_head_sides": 0,
"repaired_gl_entry_head_sides": 0,
"wrong_records": 0,
"skipped_locked_records": 0,
"repaired_master_records": 0,
"repaired_gl_entry_heads": 0,
"skipped_locked_gl_entry_heads": 0
},
"gl_entries_matching_codes_cleanup": {
"unbalanced_matching_codes": 0,
"cleaned_entries": 0
},
"gl_entries_auto_match": {
"scanned_groups": 0,
"matched_groups": 0,
"skipped_groups": 0,
"matched_entries": 0
}
}
- Schema
- Example (from schema)
Schema
transactions_normalize
object
wrong_records int32
skipped_locked_records int32
repaired_master_records int32
repaired_gl_entry_heads int32
skipped_locked_gl_entry_heads int32
gl_entries_normalize
object
wrong_gl_entry_head_sides int32
repaired_gl_entry_head_sides int32
wrong_records int32
skipped_locked_records int32
repaired_master_records int32
repaired_gl_entry_heads int32
skipped_locked_gl_entry_heads int32
gl_entries_matching_codes_cleanup
object
unbalanced_matching_codes int32
cleaned_entries int32
gl_entries_auto_match
object
scanned_groups int32
matched_groups int32
skipped_groups int32
matched_entries int32
{
"transactions_normalize": {
"wrong_records": 0,
"skipped_locked_records": 0,
"repaired_master_records": 0,
"repaired_gl_entry_heads": 0,
"skipped_locked_gl_entry_heads": 0
},
"gl_entries_normalize": {
"wrong_gl_entry_head_sides": 0,
"repaired_gl_entry_head_sides": 0,
"wrong_records": 0,
"skipped_locked_records": 0,
"repaired_master_records": 0,
"repaired_gl_entry_heads": 0,
"skipped_locked_gl_entry_heads": 0
},
"gl_entries_matching_codes_cleanup": {
"unbalanced_matching_codes": 0,
"cleaned_entries": 0
},
"gl_entries_auto_match": {
"scanned_groups": 0,
"matched_groups": 0,
"skipped_groups": 0,
"matched_entries": 0
}
}
Loading...